com.buschmais.jqassistant.plugin.maven3.api.model

## Interface MavenPluginExecutionDescriptor

- All Superinterfaces:
    ConfigurableDescriptor, com.buschmais.jqassistant.core.store.api.model.Descriptor, MavenDescriptor

      @Label(value="PluginExecution")
      public interface MavenPluginExecutionDescriptor
      extends MavenDescriptor, ConfigurableDescriptor

  Descriptor for plugin executions.
  Author:
    ronald.kunzmann@buschmais.com
  See Also:
    `PluginExecution`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<MavenExecutionGoalDescriptor>` | `getGoals()` Returns execution goals.
    `String` | `getId()` Get the identifier of this execution for labelling the goals during the build, and for matching executions to merge during inheritance and profile injection.
    `String` | `getPhase()` Get the build lifecycle phase to bind the goals in this execution to.
    `boolean` | `isInherited()` Get whether any configuration should be propagated to child POMs.
    `void` | `setId(String id)` Sets the id.
    `void` | `setInherited(boolean inherited)` Set whether any configuration should be propagated to child POMs.
    `void` | `setPhase(String phase)` Sets the phase.

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.maven3.api.model.ConfigurableDescriptor

      `getConfiguration, setConfiguration`

- - ### Method Detail

    - #### getId

          @Property(value="id")
          String getId()

      Get the identifier of this execution for labelling the goals during the build, and for matching executions to merge during inheritance and profile injection.
      Returns:
        The id.

    - #### setId

          void setId(String id)

      Sets the id.
      Parameters:
        `id` - The id.

    - #### isInherited

          @Property(value="inherited")
          boolean isInherited()

      Get whether any configuration should be propagated to child POMs.
      Returns:
        true, if configuration should be propagated to child POMs.

    - #### setInherited

          void setInherited(boolean inherited)

      Set whether any configuration should be propagated to child POMs.
      Parameters:
        `inherited` - true, if configuration should be propagated to child POMs.

    - #### getPhase

          @Property(value="phase")
          String getPhase()

      Get the build lifecycle phase to bind the goals in this execution to. If omitted, the goals will be bound to the default phase specified in their metadata.
      Returns:
        The phase.

    - #### setPhase

          void setPhase(String phase)

      Sets the phase.
      Parameters:
        `phase` - The phase.

    - #### getGoals

          @Relation(value="HAS_GOAL")
          List<MavenExecutionGoalDescriptor> getGoals()

      Returns execution goals.
      Returns:
        The goals.

Copyright © 2015 buschmais GbR. All rights reserved.